Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1980857

Summary: F34FailsToInstall: rust-simba+cordic-devel, rust-simba+fixed-devel, rust-simba-devel, rust-simba+partial_fixed_point_support-devel, rust-simba+serde_serialize-devel
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: rust-simbaAssignee: Rémi Lauzier <remilauzier>
Status: CLOSED ERRATA QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: remilauzier, rust-sig
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rust-simba-0.5.1-10.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-07-11 05:23:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1868279    

Description Miro Hrončok 2021-07-09 16:19:01 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (rust-simba) Fails To Install in Fedora 34:

can't install rust-simba+cordic-devel:
  - nothing provides (crate(cordic/default) >= 0.1.0 with crate(cordic/default) < 0.2.0~) needed by rust-simba+cordic-devel-0.5.1-2.fc34.noarch
  
can't install rust-simba+fixed-devel:
  - nothing provides (crate(fixed/default) >= 1.0.0 with crate(fixed/default) < 2.0.0~) needed by rust-simba+fixed-devel-0.5.1-2.fc34.noarch
  
can't install rust-simba-devel:
  - nothing provides (crate(approx) >= 0.3.0 with crate(approx) < 0.4.0~) needed by rust-simba-devel-0.5.1-2.fc34.noarch
  
can't install rust-simba+partial_fixed_point_support-devel:
  - nothing provides (crate(cordic/default) >= 0.1.0 with crate(cordic/default) < 0.2.0~) needed by rust-simba+partial_fixed_point_support-devel-0.5.1-2.fc34.noarch
  - nothing provides (crate(fixed/default) >= 1.0.0 with crate(fixed/default) < 2.0.0~) needed by rust-simba+partial_fixed_point_support-devel-0.5.1-2.fc34.noarch
  
can't install rust-simba+serde_serialize-devel:
  - nothing provides (crate(fixed/serde) >= 1.0.0 with crate(fixed/serde) < 2.0.0~) needed by rust-simba+serde_serialize-devel-0.5.1-2.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2021-07-11 05:22:12 UTC
FEDORA-2021-da7b708a82 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-da7b708a82

Comment 2 Fedora Update System 2021-07-11 05:23:51 UTC
FEDORA-2021-da7b708a82 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-07-11 05:39:35 UTC
FEDORA-2021-cb2e852ab7 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cb2e852ab7

Comment 4 Fedora Update System 2021-07-12 00:37:04 UTC
FEDORA-2021-cb2e852ab7 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-cb2e852ab7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cb2e852ab7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.